jQuery( document ).ready( function () {
    // jQuery( '.options_group.subscription_pricing ' ).addClass( 'show_if_wdm_bundle_product' );

    if (cpb_bundled_data.length != 0) {
        var bundle_data = JSON.parse(cpb_bundled_data.bundled_data);
        jQuery( ':input.wc_products_selections' ).select2Cpb('data', bundle_data);
        // input_data = JSON.stringify(input_data);

        jQuery( '#add_onProducts' ).val(bundle_data);
    }
// jQuery(function () {
    //When the CPB Product is published display the error messages if any.
    jQuery( 'form#post' ).submit( function ( e ) {
        if ( jQuery( '#product-type' ).val() == 'wdm_bundle_product' ) {
            if ( jQuery( this ).data( 'valid' ) ) {
                return true;
            }

            var input_data = jQuery( ':input.wc_products_selections' ).select2Cpb('data');
            input_data = JSON.stringify(input_data);

            jQuery( '#add_onProducts' ).val(input_data);
            //var form_data = jQuery('#post').serializeArray();
            var _wdm_grid_field = jQuery( '#_wdm_grid_field' ).val();
            var product_field_type = jQuery( '#product_field_type' ).val();
            var wdm_cpb_regular_price = jQuery('#_regular_price').val();
            var wdm_cpb_sale_price = jQuery('#_sale_price').val();
            var wdm_cpb_subscription_price = jQuery('#_subscription_price').val();
            var wdm_cpb_signup_fee = jQuery('#_subscription_sign_up_fee').val();
            var wdm_cpb_trial_period = jQuery('#_subscription_trial_length').val();

            if ( _wdm_grid_field == null || _wdm_grid_field == '' ) {
                alert(cpb_settings_object.text_box_quantity);
                e.preventDefault();
            }
            if ( product_field_type == null || product_field_type == '' ) {
                alert(cpb_settings_object.text_addon_products);
                e.preventDefault();
            }
            if ( (!isPositivePrice(wdm_cpb_regular_price) || wdm_cpb_regular_price == null || wdm_cpb_regular_price == '')) {
                alert(cpb_settings_object.text_regular_price);
                e.preventDefault();
            }

            if (wdm_cpb_sale_price != '' && !isPositivePrice(wdm_cpb_sale_price) || parseFloat(wdm_cpb_sale_price) >= parseFloat(wdm_cpb_regular_price) ) {
                alert(cpb_settings_object.text_sale_price);
                e.preventDefault();
            }

            if(jQuery('#wdm_enable_product_subscription').is(":checked")) {
                jQuery('#_subscription_payment_sync_date').val(0);

                if ( (!isPositivePrice(wdm_cpb_subscription_price) || wdm_cpb_subscription_price == null || wdm_cpb_subscription_price == '')) {
                    alert(cpb_settings_object.text_subscription_price);
                    e.preventDefault();
                }
                if ( wdm_cpb_signup_fee != '' && !isPositivePrice(wdm_cpb_signup_fee)) {
                    alert(cpb_settings_object.text_signup_fee);
                    e.preventDefault();
                }
                if ( wdm_cpb_trial_period != '' && !isPositiveInt(wdm_cpb_trial_period) && wdm_cpb_trial_period != 0) {
                    alert(cpb_settings_object.text_trial_period);
                    e.preventDefault();
                }
            }
            return true;
        }
    } );

    jQuery('#general_product_data').on('change', '[name^="_subscription_price"]', function(event) {
        if (jQuery( '#product-type' ).val() !== 'wdm_bundle_product') {
            return;
        }
        if (!isPositivePrice(jQuery(this).val())) {
            jQuery(this).addClass('wdm_error');
            event.stopPropagation();
        } else {
            jQuery(this).removeClass('wdm_error');
        }
    });

    jQuery('#woocommerce-product-data').on('change', '#_subscription_sign_up_fee', function(event) {
        if (jQuery( '#product-type' ).val() !== 'wdm_bundle_product') {
            return;
        }
        if (jQuery(this).val() != '0' && jQuery(this).val() != '' && !isPositivePrice(jQuery(this).val())) {
            jQuery(this).addClass('wdm_error');
        } else {
            jQuery(this).removeClass('wdm_error');
        }
    });    

    jQuery('#woocommerce-product-data').on('change', '#_subscription_trial_length', function(event) {
        if (jQuery( '#product-type' ).val() !== 'wdm_bundle_product') {
            return;
        }
        if (jQuery(this).val() != '0' && jQuery(this).val() != '' && !isPositivePrice(jQuery(this).val())) {
            jQuery(this).addClass('wdm_error');
        } else {
            jQuery(this).removeClass('wdm_error');
        }
    });

    jQuery('#woocommerce-product-data').on('change', '#_sale_price', function(event) {
        if (jQuery( '#product-type' ).val() !== 'wdm_bundle_product') {
            return;
        }
        if (jQuery(this).val() != '0' && jQuery(this).val() != '' && !isPositivePrice(jQuery(this).val())) {
            jQuery(this).addClass('wdm_error');
        } else {
            jQuery(this).removeClass('wdm_error');
        }
    });   

} );